<?php

declare(strict_types=1);

namespace Meramo\Pagemanager\Domain\Model;


/**
 * This file is part of the "ABI2021 Page Manager" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 * (c) 2023 Meramo Developer <development@meramo.de>, Meramo Verlag GmbH
 */

/**
 * Active Page Online
 */
class ActivePage extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{
    /**
     * uid
     * 
     * @var int
     */
    protected $uid;

    /**
     * startDate
     * 
     * @var int
     */
    protected $starttime;
    /**
     * startDate
     * 
     * @var int
     */
    protected $endtime;
    /**
     * Page title
     *
     * @var string
     * @TYPO3\CMS\Extbase\Annotation\Validate("NotEmpty")
     */
    protected $title = '';

    /**
     * page category
     *
     * @var string
     * @TYPO3\CMS\Extbase\Annotation\Validate("NotEmpty")
     */
    protected $category = '';

    /**
     * Main topic
     *
     * @var string
     * @TYPO3\CMS\Extbase\Annotation\Validate("NotEmpty")
     */
    protected $roof = '';

    /**
     * Page Creator
     *
     * @var string
     * @TYPO3\CMS\Extbase\Annotation\Validate("NotEmpty")
     */
    protected $creator = '';

    /**
     * Creator full name
     *
     * @var string
     */
    protected $fullName = '';

     /**
     * sets the Uid
     * 
     * @return void
     */
    public function setUid(int $uid)
    {
      $this->uid = $uid;
    }

    /**
     * sets the starttime
     * 
     * @return void
     */
    public function setStarttime(int $starttime)
    {
      $this->starttime = $starttime;
    }

    /**
     * Returns the starttime
     * 
     * @return int starttime
     */
    public function getStarttime()
    {
      return $this->starttime;
    }

    /**
     * sets the endttime
     * 
     * @return void
     */
    public function setEndtime(int $endtime)
    {
      $this->endtime = $endtime;
    }

    /**
     * Returns the endtime
     * 
     * @return int endtime
     */
    public function getEndtime()
    {
      return $this->endtime;
    }


    /**
     * Returns the title
     *
     * @return string $title
     */
    public function getTitle()
    {
        return $this->title;
    }

    /**
     * Sets the title
     *
     * @param string $title
     * @return void
     */
    public function setTitle(string $title)
    {
        $this->title = $title;
    }

    /**
     * Returns the category
     *
     * @return string $category
     */
    public function getCategory()
    {
        return $this->category;
    }

    /**
     * Sets the category
     *
     * @param string $category
     * @return void
     */
    public function setCategory(string $category)
    {
        $this->category = $category;
    }

    /**
     * Returns the roof
     *
     * @return string $roof
     */
    public function getRoof()
    {
        return $this->roof;
    }

    /**
     * Sets the roof
     *
     * @param string $roof
     * @return void
     */
    public function setRoof(string $roof)
    {
        $this->roof = $roof;
    }

    /**
     * Returns the creator
     *
     * @return string $creator
     */
    public function getCreator()
    {
        return $this->creator;
    }

    /**
     * Sets the creator
     *
     * @param string $creator
     * @return void
     */
    public function setCreator(string $creator)
    {
        $this->creator = $creator;
    }

    /**
     * Returns the fullName
     *
     * @return string $fullName
     */
    public function getFullName()
    {
        return $this->fullName;
    }

    /**
     * Sets the fullName
     *
     * @param string $fullName
     * @return void
     */
    public function setFullName(string $fullName)
    {
        $this->fullName = $fullName;
    }
}
